﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Examples8_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<link href="rbPredefinedIcons.css" rel="stylesheet" type="text/css" />
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
		<asp:RadioButtonList OnSelectedIndexChanged="ChangeButtonType_SelectedIndexChanged"
			RepeatDirection="Horizontal" ID="rblChangeButtonType" runat="server" AutoPostBack="True">
			<asp:ListItem Value="StandardButton" Selected="True">Standard Button</asp:ListItem>
			<asp:ListItem Value="LinkButton">Link Button</asp:ListItem>
		</asp:RadioButtonList>

		<asp:Panel ID="Panel1" runat="server">
			<table cellpadding="0" cellspacing="0" border="0" class="predIcons">
				<thead>
					<tr>
						<td style="width: 200px;">
							<label>
								<strong>Button Icon and Class</strong>
							</label>
						</td>
						<td style="width: 200px;">
							<label>
								<strong>Primary Icon</strong></label>
						</td>
						<td style="width: 200px;">
							<label>
								<strong>Secondary Icon</strong></label>
						</td>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="rborder">
							<span class="rbAdd16 rbPredefinedIcons"></span><span class="text">rbAdd</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton1" runat="server" Text="Add">
								<Icon PrimaryIconCssClass="rbAdd" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton2" runat="server" Text="Add">
								<Icon SecondaryIconCssClass="rbAdd" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr class="dark">
						<td class="rborder">
							<span class="rbRemove16 rbPredefinedIcons"></span><span class="text">rbRemove</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton3" runat="server" Text="Remove">
								<Icon PrimaryIconCssClass="rbRemove" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton4" runat="server" Text="Remove">
								<Icon SecondaryIconCssClass="rbRemove" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr>
						<td class="rborder">
							<span class="rbOk16 rbPredefinedIcons"></span><span class="text">rbOk</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton5" runat="server" Text="OK">
								<Icon PrimaryIconCssClass="rbOk" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton6" runat="server" Text="OK">
								<Icon SecondaryIconCssClass="rbOk" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr class="dark">
						<td class="rborder">
							<span class="rbCancel16 rbPredefinedIcons"></span><span class="text">rbCancel</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton7" runat="server" Text="Cancel">
								<Icon PrimaryIconCssClass="rbCancel" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton8" runat="server" Text="Cancel">
								<Icon SecondaryIconCssClass="rbCancel" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr>
						<td class="rborder">
							<span class="rbUpload16 rbPredefinedIcons"></span><span class="text">rbUpload</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton9" runat="server" Text="Upload">
								<Icon PrimaryIconCssClass="rbUpload" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton10" runat="server" Text="Upload">
								<Icon SecondaryIconCssClass="rbUpload" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr class="dark">
						<td class="rborder">
							<span class="rbDownload16 rbPredefinedIcons"></span><span class="text">rbDownload</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton11" runat="server" Text="Download">
								<Icon PrimaryIconCssClass="rbDownload" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton12" runat="server" Text="Download">
								<Icon SecondaryIconCssClass="rbDownload" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr>
						<td class="rborder">
							<span class="rbPrevious16 rbPredefinedIcons"></span><span class="text">rbPrevious</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton13" runat="server" Text="Previous">
								<Icon PrimaryIconCssClass="rbPrevious" PrimaryIconLeft="4" PrimaryIconTop="4"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton14" runat="server" Text="Previous">
								<Icon SecondaryIconCssClass="rbPrevious" SecondaryIconRight="4" SecondaryIconTop="4"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr class="dark">
						<td class="rborder">
							<span class="rbNext16 rbPredefinedIcons"></span><span class="text">rbNext</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton15" runat="server" Text="Next">
								<Icon PrimaryIconCssClass="rbNext" PrimaryIconLeft="4" PrimaryIconTop="4"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton16" runat="server" Text="Next">
								<Icon SecondaryIconCssClass="rbNext" SecondaryIconRight="4" SecondaryIconTop="4"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr>
						<td class="rborder">
							<span class="rbOpen16 rbPredefinedIcons"></span><span class="text">rbOpen</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton17" runat="server" Text="Open">
								<Icon PrimaryIconCssClass="rbOpen" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton18" runat="server" Text="Open">
								<Icon SecondaryIconCssClass="rbOpen" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr class="dark">
						<td class="rborder">
							<span class="rbAttach16 rbPredefinedIcons"></span><span class="text">rbAttach</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton19" runat="server" Text="Attach">
								<Icon PrimaryIconCssClass="rbAttach" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton20" runat="server" Text="Attach">
								<Icon SecondaryIconCssClass="rbAttach" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr>
						<td class="rborder">
							<span class="rbSave16 rbPredefinedIcons"></span><span class="text">rbSave</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton21" runat="server" Text="Save">
								<Icon PrimaryIconCssClass="rbSave" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton22" runat="server" Text="Save">
								<Icon SecondaryIconCssClass="rbSave" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr class="dark">
						<td class="rborder">
							<span class="rbConfig16 rbPredefinedIcons"></span><span class="text">rbConfig</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton23" runat="server" Text="Config">
								<Icon PrimaryIconCssClass="rbConfig" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton24" runat="server" Text="Config">
								<Icon SecondaryIconCssClass="rbConfig" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr>
						<td class="rborder">
							<span class="rbPrint16 rbPredefinedIcons"></span><span class="text">rbPrint</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton25" runat="server" Text="Print">
								<Icon PrimaryIconCssClass="rbPrint" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton26" runat="server" Text="Print">
								<Icon SecondaryIconCssClass="rbPrint" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr class="dark">
						<td class="rborder">
							<span class="rbRefresh16 rbPredefinedIcons"></span><span class="text">rbRefresh</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton27" runat="server" Text="Refresh">
								<Icon PrimaryIconCssClass="rbRefresh" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton28" runat="server" Text="Refresh">
								<Icon SecondaryIconCssClass="rbRefresh" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr>
						<td class="rborder">
							<span class="rbSearch16 rbPredefinedIcons"></span><span class="text">rbSearch</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton29" runat="server" Text="Search">
								<Icon PrimaryIconCssClass="rbSearch" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton30" runat="server" Text="Search">
								<Icon SecondaryIconCssClass="rbSearch" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr class="dark">
						<td class="rborder">
							<span class="rbHelp16 rbPredefinedIcons"></span><span class="text">rbHelp</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton31" runat="server" Text="Help">
								<Icon PrimaryIconCssClass="rbHelp" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton32" runat="server" Text="Help">
								<Icon SecondaryIconCssClass="rbHelp" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr>
						<td class="rborder">
							<span class="rbCart16 rbPredefinedIcons"></span><span class="text">rbCart</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton33" runat="server" Text="Shopping Cart">
								<Icon PrimaryIconCssClass="rbCart" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton34" runat="server" Text="Shopping Cart">
								<Icon SecondaryIconCssClass="rbCart" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr class="dark">
						<td class="rborder">
							<span class="rbEdit16 rbPredefinedIcons"></span><span class="text">rbEdit</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton35" runat="server" Text="Edit">
								<Icon PrimaryIconCssClass="rbEdit" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton36" runat="server" Text="Edit">
								<Icon SecondaryIconCssClass="rbEdit" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr>
						<td class="rborder">
							<span class="rbRSS16 rbPredefinedIcons"></span><span class="text">rbRSS</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton37" runat="server" Text="RSS Feed">
								<Icon PrimaryIconCssClass="rbRSS" PrimaryIconLeft="4" PrimaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton38" runat="server" Text="RSS Feed">
								<Icon SecondaryIconCssClass="rbRSS" SecondaryIconRight="4" SecondaryIconTop="3"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr class="dark">
						<td class="rborder">
							<span class="rbMail16 rbPredefinedIcons"></span><span class="text">rbMail</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton39" runat="server" Text="Mail">
								<Icon PrimaryIconCssClass="rbMail" PrimaryIconLeft="4" PrimaryIconTop="4"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton40" runat="server" Text="Mail">
								<Icon SecondaryIconCssClass="rbMail" SecondaryIconRight="4" SecondaryIconTop="4"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr>
						<td class="rborder">
							<span class="rbFB16 rbPredefinedIcons"></span><span class="text">rbFB</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton41" runat="server" Text="FaceBook">
								<Icon PrimaryIconCssClass="rbFB" PrimaryIconLeft="4" PrimaryIconTop="2"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton42" runat="server" Text="FaceBook">
								<Icon SecondaryIconCssClass="rbFB" SecondaryIconRight="4" SecondaryIconTop="2"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
					<tr class="dark">
						<td class="rborder">
							<span class="rbTwitter16 rbPredefinedIcons"></span><span class="text">rbTwitter</span>
						</td>
						<td>
							<telerik:RadButton ID="RadButton43" runat="server" Text="Twitter">
								<Icon PrimaryIconCssClass="rbTwitter" PrimaryIconLeft="4" PrimaryIconTop="2"></Icon>
							</telerik:RadButton>
						</td>
						<td>
							<telerik:RadButton ID="RadButton44" runat="server" Text="Twitter">
								<Icon SecondaryIconCssClass="rbTwitter" SecondaryIconRight="4" SecondaryIconTop="2"></Icon>
							</telerik:RadButton>
						</td>
					</tr>
				</tbody>
			</table>
		</asp:Panel>
	</form>
</body>
</html>
